package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.SystemMapper;
import com.sa.ibiz.demo.demo.domain.System;
import com.sa.ibiz.demo.demo.service.SystemService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.SystemSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[System] 服务对象接口实现
 */
@Service
public class SystemServiceImpl extends ServiceImplBase<SystemMapper, System> implements SystemService{


    @Resource
    private SystemMapper systemMapper;


    @Override
    public boolean create(System et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(System et){
        this.beforeUpdate(et);
		this.systemMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(System et){
		return et.getSystemid();  
    }

    @Override
    public boolean getDraft(System et)  {
            return true;
    }

	public List<System> listDefault(SystemSearchFilter filter) {
		return systemMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<System> searchDefault(SystemSearchFilter filter) {
		return systemMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return systemMapper.selectRow(sql);
    }

 }